[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.Create

Constructor for the class instance.

## Declaration

Source position: checklst.pas line 73

`public constructor TCustomCheckListBox.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for TCustomCheckListBox. It calls the inherited Create method, and sets the component style flag for the control. It also calls the inherited GetCachedDataSize method to determine the storage size needed for each cached item in the control. Create sets the default values for the HeaderBackgroundColor and HeaderColor properties.

## See also

TCustomListBox.Create |  | Constructor for the class instance.
TCustomListBox.GetCachedDataSize |  | Returns the size for cached item data in the control.